"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._typeCheck = void 0;
const raxa_common_1 = require("raxa-common");
const plugin = {
    id: 'control-flow',
    name: 'Control Flow',
    shortDescription: '',
    description: '',
    httpForwarding: {
        port: 13001,
        showInSettings: true,
    },
    deviceClasses: {
        ControlFlowProgram: {
            id: 'ControlFlowProgram',
            name: 'Control Flow Program',
            pluginId: 'control-flow',
            types: [raxa_common_1.DeviceType.Automation],
            allowManualCreation: true,
            config: {},
            interfaceIds: [],
        },
    },
    interfaces: {},
};
exports._typeCheck = plugin;
exports.default = plugin;
//# sourceMappingURL=plugin.js.map