import { DeviceType, PluginDefinition } from 'raxa-common';
declare const plugin: {
    id: string;
    name: string;
    shortDescription: string;
    description: string;
    httpForwarding: {
        port: number;
        showInSettings: boolean;
    };
    deviceClasses: {
        ControlFlowProgram: {
            id: string;
            name: string;
            pluginId: string;
            types: DeviceType[];
            allowManualCreation: boolean;
            config: {};
            interfaceIds: never[];
        };
    };
    interfaces: {};
};
export declare const _typeCheck: PluginDefinition;
export default plugin;
